org.apache.solr.client.solrj.io.stream.expr

## Class StreamExplanation

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.expr.Explanation
  - - org.apache.solr.client.solrj.io.stream.expr.StreamExplanation

-     public class StreamExplanation
      extends Explanation

  Explanation containing details about a stream expression

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.io.stream.expr.Explanation

      `Explanation.ExpressionType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreamExplanation(String expressionNodeId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(Explanation child)`
    `List<Explanation>` | `getChildren()`
    `void` | `setChildren(List<Explanation> children)`
    `Map<String,Object>` | `toMap()`
    `StreamExplanation` | `withChildren(Explanation[] children)`
    `StreamExplanation` | `withChildren(List<Explanation> children)`

    - ### Methods inherited from class org.apache.solr.client.solrj.io.stream.expr.Explanation

      `addHelper, getExpression, getExpressionNodeId, getExpressionType, getFunctionName, getHelpers, getImplementingClass, getNote, setExpression, setExpressionType, setFunctionName, setHelpers, setImplementingClass, setNote, withExpression, withExpressionType, withFunctionName, withHelper, withHelpers, withHelpers, withImplementingClass, withNote`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StreamExplanation

          public StreamExplanation(String expressionNodeId)

  - ### Method Detail

    - #### getChildren

          public List<Explanation> getChildren()

    - #### setChildren

          public void setChildren(List<Explanation> children)

    - #### withChildren

          public StreamExplanation withChildren(List<Explanation> children)

    - #### withChildren

          public StreamExplanation withChildren(Explanation[] children)

    - #### addChild

          public void addChild(Explanation child)

    - #### toMap

          public Map<String,Object> toMap()

      Overrides:
        `toMap` in class `Explanation`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.